//
//  main.m
//  Vererbung
//
//  Created by Holger Hinzberg on 23.01.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Player.h"

int main (int argc, const char * argv[])
{

    @autoreleasepool {
        
        // Der Dateiname
        NSString *fileName = @"~/Desktop/Player.txt";
        
        // Ein Player aus den gespeicherten Daten laden
        Player *aPlayer =
        [NSKeyedUnarchiver unarchiveObjectWithFile: 
          [fileName stringByExpandingTildeInPath]];
        
        // Ein kurzer Test aller Eigenschaften
        [aPlayer sayYourName];
        
        // Ein ausführlicher Test
        NSLog(@"Spieler: %@ %@", aPlayer.firstname 
              , aPlayer.name );
        
        NSLog(@"Verein : %@", aPlayer.clubName );
        NSLog(@"Gehalt : %.2f", aPlayer.salary );
        
        
       /* 
        
        Player *aPlayer = [Player new];
        
        aPlayer.name = @"Sepp";
        aPlayer.firstname = @"Schuhmacher";
        aPlayer.age = 19;
        aPlayer.shirtNumber = 13;
        aPlayer.salary = 27000.0;
        aPlayer.clubName = @"Fortuna 07";
        
        // Der Dateiname und Pfad der zu speichernden Datei
        NSString *fileName = @"~/Desktop/Player.txt";
        
        // Der NSKeyedArchiver speichert das Objekt
        // unter den angegebenen Dateinamen.
        BOOL result = 
        [NSKeyedArchiver archiveRootObject:aPlayer 
         toFile:[fileName stringByExpandingTildeInPath]];
        
        // Der Rückgabewert gibt Aufschluss über den Status
        if (result == YES)
        {
            NSLog(@"Objekt erfolgreich gespeichert.");
        }
        else
        {
            NSLog(@"Es gab ein Problem!");
        }
        
        */
         
        
    }
    return 0;
}

